Package org.eclipse.ecf.core.util

# Class ECFRuntimeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.eclipse.ecf.core.util.ECFRuntimeException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `DnsSdDiscoveryException`, `IDCreateException`

public class ECFRuntimeException extends RuntimeException

Since:
  3.0
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ECFRuntimeException()`
`ECFRuntimeException(String message)`
`ECFRuntimeException(String message, Throwable cause)`
`ECFRuntimeException(Throwable cause)`
`ECFRuntimeException(org.eclipse.core.runtime.IStatus status)`
Creates a new exception with the given status object.

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.core.runtime.IStatus`
`getStatus()`
Returns the status object for this exception.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ECFRuntimeException

public ECFRuntimeException()

### ECFRuntimeException

public ECFRuntimeException(String message)

Parameters:
  `message` - message associated with exception

### ECFRuntimeException

public ECFRuntimeException(Throwable cause)

Parameters:
  `cause` - the cause of the new exception

### ECFRuntimeException

public ECFRuntimeException(String message, Throwable cause)

Parameters:
  `message` -
  `cause` -

### ECFRuntimeException

public ECFRuntimeException(org.eclipse.core.runtime.IStatus status)
Creates a new exception with the given status object. The message of the given status is used as the exception message.

Parameters:
  `status` - the status object to be associated with this exception

## Method Details

### getStatus

public org.eclipse.core.runtime.IStatus getStatus()
Returns the status object for this exception.

IMPORTANT:
The result must NOT be used to log a `CoreException` (e.g., using `yourPlugin.getLog().log(status);`), since that code pattern hides the original stacktrace. Instead, create a new `Status` with your plug-in ID and this `CoreException`, and log that new status.

Returns:
  a status object